Bug Hunting Session
Bug 108545 - Anomalies with documents embedded in documents in MS Office files (DOC, DOCX)
Summary: Anomalies with documents embedded in documents in MS Office files (DOC, DOCX)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.0.0
Keywords: filter:doc, filter:docx
Depends on:
Blocks: DOCX OLE-Objects
  Show dependency treegraph
 
Reported: 2017-06-15 01:11 UTC by Aron Budea
Modified: 2017-08-16 06:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Samples of DOC/DOCX embedded in DOC/DOCX formats (66.39 KB, application/zip)
2017-06-15 01:11 UTC, Aron Budea
Details
Samples of DOC/DOCX embedded not as icon in DOC/DOCX formats (64.91 KB, application/zip)
2017-07-03 15:47 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-06-15 01:11:23 UTC
Created attachment 134039 [details]
Samples of DOC/DOCX embedded in DOC/DOCX formats

For basic principle see bug 108544, which is about tables embedded in documents in MS Office formats with "Display as icon" checked.
This report is about documents embedded in documents. The expectation is that upon double-click the embedded documents open and can be edited in a separate Writer window.

- DOCX with embedded DOCX: not the icon is shown, and double-clicking the icon opens the file for editing in-place instead of the expected new window,
- DOC with embedded DOCX: double-clicking the icon opens Word if installed,
- DOC with embedded DOC: double-clicking the icon opens a tiny Writer window in web view.

DOC with embedded DOCX behaves as expected.

Observed with LO 5.4beta2 & 4.4.0.3 / Windows 7.

Attaching a zip of four sample files with the four combinations.
Comment 1 Xisco Faulí 2017-06-15 10:04:05 UTC
Confirmed in

Version: 5.5.0.0.alpha0+
Build ID: 6ab249ea6aecef5d3f35d624622a368061cad9c3
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Aron Budea 2017-06-15 23:04:38 UTC
A correction to the description:
"DOC with embedded DOCX behaves as expected." <= This was supposed to be DOCX with embedded DOC.

Additional detail:
DOC with embedded DOCX opens Word if installed, gives General OLE error if Word is not installed.
Comment 3 Aron Budea 2017-07-03 15:47:34 UTC
Created attachment 134457 [details]
Samples of DOC/DOCX embedded not as icon in DOC/DOCX formats

Here are samples with documents that aren't embedded as icons for comparison.
Apparently in Word they all open in separate windows.
Let this bug report only be about the original files that are embedded as icons (even those could be split up further, but I didn't want to open a million bug reports right away).

Interestingly, spreadsheets are edited in place when they are not embedded as icons. Is that the only distinction, or can documents also be embedded that way? I don't know at the moment.
Comment 4 Commit Notification 2017-07-08 07:28:13 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3340ce30562832b584dd0576d9e0733aa03d867f

tdf#108545 show an icon (DOCX inside DOCX)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-07-13 09:21:58 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=427c763a1ad0ebc85383625f019b405c30828374

tdf#108545 tdf#108544: DOCX, XLSX embedded in DOC

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-07-13 15:29:00 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d15d3d92a7297a57fafd9ed11c959bb8ec322b3a

tdf#108545 editable DOC/XLS embeddings inside DOCX

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2017-08-14 08:36:33 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED